
# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [5.9.0] - 2025-06-16

### Added

- Added changes for oggit

## [5.8.1] - 2025-06-13

### Fixed

- Improve fail condition when no network is detected

## [5.8.0] - 2025-06-12

### Changed

- Agents aren't being sent any signals on user logout. On the server side, assume that client disconnection == logout

## [5.7.1] - 2025-06-05

### Fixed

- Correcly handle UNIX signals in the user instance of the agent

## [5.7.0] - 2025-05-27

### Changed

- Use TLS again

## [5.6.0] - 2025-05-21

### Changed

- Launch QT6 browser
- Change URLs using dbus

## [5.5.0] - 2025-05-19

### Changed

- Revert to the QT4 browser again

## [5.4.0] - 2025-05-19

### Changed

- Disabled TLS on request

## [5.3.0] - 2025-05-16

### Changed

- Execute 'launch_browser' rather than 'browser'

## [5.2.0] - 2025-05-14

### Added

- Log duration of user sessions

## [5.1.1] - 2025-05-06

### Fixed

- Fixed URL for notifying stop to ogcore

## [5.1.0] - 2025-05-06

### Added

- Added powershell helper script for logging out from windows

## [5.0.0] - 2025-05-06

### Added

- Use TLS

## [4.0.0] - 2025-04-24

### Added

- Authn/authz to the oglive agent

## [3.3.0] - 2025-04-14

### Added

- Log stuff to a new json log

## [3.2.0] - 2025-04-10

### Added

- Operating system: periodically ping ogcore

## [3.1.0] - 2025-04-07

### Added

- Oglive: periodically ping ogcore

## [3.0.0] - 2025-03-31

### Changed

- Ignore module provided in the URLs to the API

## [2.0.0] - 2025-03-26

### Changed

- EjecutarScript/ConsolaRemota: expect "scp" parameter encoded in base64

## [1.7.1] - 2025-03-25

### Fixed

- Make cfg2obj more robust

## [1.7.0] - 2025-03-21

### Removed

- Delete the new "ptt" parameter. It's not needed.

## [1.6.0] - 2025-03-12

### Changed

- Don't invoke bash code for some functionalities

## [1.5.0] - 2025-03-12

### Changed

- Accept new "ptt" parameter in /ogAdmCli/Configurar

### Removed

- No longer recognise the unused "che" parameter in /ogAdmCli/Configurar

## [1.4.9] - 2025-02-20

### Changed

- Notify ogcore when agent shuts down within oglive

## [1.4.8] - 2025-02-18

### Changed

- Optionally return disk config in /status

## [1.4.7] - 2025-02-04

### Changed

- Merge server modules

### Added

- Track the progress of children

## [1.4.6] - 2025-01-14

### Changed

- Point to the new menu browser

## [1.4.5] - 2024-11-29

### Added

- Kill long running jobs in oglive

## [1.4.5~pre8] - 2024-11-27

### Added

- Add Configurar() to the CloningEngine module

## [1.4.5~pre7] - 2024-11-20

### Changed

- Use old browser again

## [1.4.5~pre6] - 2024-11-20

### Changed

- Do not use envvars for the operating-system module

## [1.4.5~pre5] - 2024-11-18

### Fixed

- Avoid some KeyErrors

## [1.4.5~pre4] - 2024-11-15

### Fixed

- Don't die when ogcore returns HTTP 4xx or 5xx

### Changed

- Get ogcore IP and port from the environment

## [1.4.5~pre3] - 2024-11-06
- Kill long running jobs in oglive (not-yet-working draft)

## [1.4.5~pre2] - 2024-11-06

### Fixed

- Remove race condition due to several monitoring threads

### Changed

- Include job_id in asynchronous responses

### Removed

- Remove vim swapfiles from the package contents

## [1.4.5~pre1] - 2024-11-06

### Changed

- CrearImagen: return inventory inline

## [1.4.4] - 2024-10-17

### Fixed

- Use logger.debug() to prevent the windows agent from dying

### Changed

- Make status() call synchronous

## [1.4.3] - 2024-10-17

### Changed

- Use new OGBrowser

## [1.4.2] - 2024-10-15

### Added

- Have ogAdmClient/status return information about network and disks

## [1.4.1] - 2024-10-11

### Fixed

- Bugfix: move data structure to the right class

## [1.4.0] - 2024-10-11
- Add more functionality

### Changed

- Begin using semantic versioning

## [1.3.8] - 2024-10-01

### Added

- Add more functionality to the ogAdmClient module

## [1.3.7] - 2024-09-27

### Added

- CloningEngine: RESTfully keep a list of long-running jobs

## [1.3.6] - 2024-09-19

### Added

- Add more functionality to the ogAdmClient module
- Add CloningEngine module

## [1.3.5] - 2024-08-29

### Changed

- Don't unconditionally load modules--dynamically load everything

### Removed

- Remove old, unused code

## [1.3.4] - 2024-07-30

### Added

- Implement JobMgr

## [1.3.1] - 2024-06-26

### Changed

- Migrate the update script from shell to python
- pyinstaller: include the 'img' subdir
- take icons from 'img'

## [1.3.0-2] - 2024-04-25

### Fixed

- Add missing dependency on zenity

## [1.3.0] - 2024-04-25

### Changed

- Upgrade to Qt 6

## [1.2.0] - 2020-05-4

### Changed

- Python 3 and Qt 5 compatibility

## [1.1.1b] - 2020-02-7

### Changed

- Use python-distro to detect the distribution version

## [1.1.1] - 2019-05-23

### Changed

- Set connection timeout
- Compatibility with "Exam Mode" from the University of Seville

## [1.1.0a] - 2019-05-22

### Fixed

- Fix a bug when activating the agent with some network devices

## [1.1.0] - 2016-10-13

### Changed

- Functional OpenGnsys Agent interacting with OpenGnsys Server 1.1.0

## [1.0.0] - 2015-07-18

### Added

- Initial release for OpenGnsys Agent
